PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- sdss_flagexist

# sdss_flagexist

`pydl.pydlutils.sdss.``sdss_flagexist`(flagname, bitname, flagexist=False, whichexist=False)

  Check for the existence of flags.

  Parameters:

  flagname : `str`

  > The name of a bitmask group. Not case-sensitive.

  bitname : `str` or `list`

  > The name(s) of the specific bitmask(s) within the `flagname` group.

  flagexist : `bool`, optional

  > If flagexist is True, return a tuple with the second component indicating whether the binary flag named `flagname` exists, even if `bitname` is wrong.

  whichexist : `bool`, optional

  > If whichexist is True, return a list containing existence test results for each individual flag.

  Returns:

  `bool` or `tuple()`

  > A boolean value or a tuple of bool.